Bug 103602 - Installer crashes on partitions for software RAID
Installer crashes on partitions for software RAID
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-09-02 17:50 EDT by Eric Scuccimarra
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-16 12:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Scuccimarra 2003-09-02 17:50:08 EDT
Description of problem:
Trying to upgrade from RedHat 7.3 to 8.0 or 9.0. System has software RAID. 
Whenever we try to access the partitions via anaconda, whether it be allowing 
anaconda to partition automatically or using Disk Druid to do it ourselves, 
anaconda crashes with this error:

File "/usr/lib/anaconda/gui.py", line 761 in nextClicked self.dispatch.gotoNext
File "/usr/lib/anaconda/dispatch.py", line 157 in gotoNext self.moveStep()
File "/usr/lib/anaconda/dispatch.py", line 225 in moveStep rc = apply(func, 
File "/usr/lib/anaconda/partitioning.py", line 57 in partitionObjectsInitialize 
File "/usr/lib/anaconda/partitioning.py", line 18 in setFromDisk spec.size = 
spec.getActualSize(self, diskset)
File "/usr/lib/anaconda/portRequest.py", line 621 in getActualSize raise Value 
Error "Invalid raidlevel in RaidRequest.getActualSize"

Value Error: invalid raidlevel in RaidRequest.getActualSize

Version-Release number of selected component (if applicable):
Installation CDs for RedHat 8.0 or 9.0

How reproducible:
Every time for us. Seems to be dependent on our RAID configuration though.

Steps to Reproduce:
1. Try to upgrade to RedHat 8.0 or 9.0
2. Select DiskDruid to partition manually
3. Click on anything

I believe this may be dependent on our software RAID configuration.
Actual results:
Error above.

Expected results:
It working.

Additional info:
Machine is set up with 3 disks and RAID 5. System is not on RAID. RAID is only 
used for data partition.
Comment 1 Michael Fulbright 2003-09-03 12:51:58 EDT
Is the RAID array in question a pre-existing array or one you are creating from

Do the disks have an existing RAID array on them before you start the install?
Comment 2 Eric Scuccimarra 2003-09-03 12:55:38 EDT
The RAID array was pre-existing. We were able to resolve the issue by 
rebuilding the array. Apparently there was a bad superblock.
Comment 3 Michael Fulbright 2003-09-16 12:34:13 EDT
I am glad to hear you could resolve the issue with the RAID array.

Note You need to log in before you can comment on or make changes to this bug.